main()
{
	//maps\mp\mp_dojo_fx::main();
	//maps\createart\mp_dojo_art::main();
	maps\mp\_load::main();	
	
	maps\mp\_compass::setupMiniMap("compass_map_mp_dojo");

	//setExpFog(500, 2200, 0.81, 0.75, 0.63, 0);
	//VisionSetNaked( "mp_dojo" );
	ambientPlay("ambient_dojo_ext");

	game["allies"] = "sas";
	game["axis"] = "opfor";
	game["attackers"] = "axis";
	game["defenders"] = "allies";
	game["allies_soldiertype"] = "woodland";
	game["axis_soldiertype"] = "woodland";

	setdvar( "r_specularcolorscale", "1" );
	setdvar("r_glowbloomintensity0",".25");
	setdvar("r_glowbloomintensity1",".25");
	setdvar("r_glowskybleedintensity0",".3");
	setdvar("compassmaxrange","1800");

	//background music code
	musicbackground = getent("music","targetname");
	musicbackground thread music();

	//gong code
	trig_gong = getent("trig_gong","targetname");
	trig_gong thread gongsound();

	//door code
	trig_door = getentarray("trig_door","targetname");
	for(i=0;i<trig_door.size;i++)
	trig_door[i] thread doorslide_think();

	//teleport code
	trig_teleport = getentarray("trig_teleport","targetname");
	for(i=0;i<trig_teleport.size;i++)
	trig_teleport[i] thread teleport();
}

//background music code
music()
{
	wait(5);
	self playsound("dojomusic");
}

//gong code
gongsound()
{
	while (1)
	{
		self waittill("trigger", user);
		self playsound("gong");
	}
}


//door code
doorslide_think()
{
	self.doormoving = false;
	self.doorclosed = true;
	self.doormodel = getent(self.target, "targetname");

	while (1)
	{
		self waittill("trigger");
		if(!self.doormoving)
		{
			self.doormoving = true;
			if(self.doorclosed)
			{
				if (self.script_noteworthy == "west")
				{
					self.doormodel movex(-52,1,0.5,0.5);
				}
				else if (self.script_noteworthy == "east")
				{
					self.doormodel movex(52,1,0.5,0.5);
				}
				else if (self.script_noteworthy == "north")
				{
					self.doormodel movey(52,1,0.5,0.5);
				}
				else if (self.script_noteworthy == "south")
				{
					self.doormodel movey(-52,1,0.5,0.5);
				}
				self.doormodel playsound("doorslide");
				self.doormodel waittill("movedone");
				self.doorclosed = false;

				//close door again
				wait 4;
				if (self.script_noteworthy == "west")
				{
					self.doormodel movex(52,1,0.5,0.5);
				}
				else if (self.script_noteworthy == "east")
				{
					self.doormodel movex(-52,1,0.5,0.5);
				}
				else if (self.script_noteworthy == "north")
				{
					self.doormodel movey(-52,1,0.5,0.5);
				}
				else if (self.script_noteworthy == "south")
				{
					self.doormodel movey(52,1,0.5,0.5);
				}
				self.doormodel playsound("doorslide");
				self.doormodel waittill("movedone");
				self.doorclosed = true;		
			}
			self.doormoving = false;
		}
	}
}

//teleport code
teleport()
{
	while (1)
	{
		self waittill("trigger", user);
		newplace = getent(self.target,"targetname");
		user setorigin(newplace.origin);
	}
}
